Description

UCAiug has announced that from Jan2024 onwards IEC61850 Ed2 testing will only be allowed for products that are also tested
against Ed2.1.

For testing client products the Ed2.1 this includes among others testing for potential future extensions such as new control block
attributes and new functional constraints. Such features take significant time to implement in the test tools.

We propose that UCAiug allows a grace period for Ed2-only client testing, however making certain Ed2 testcases mandatory to cover
for Ed2.1 Resv and ResvTms interoperability, so that at least Ed2 client are forward compatible with Amd1 server devices.

History

#1 - 08/08/2023 09:19 AM - IEC 61850 TPWG

Extensions may be considered for exception on case-by-case basis.

If testing for 2.1 is scheduled, the device can be tested against 2.0 until test lab completes accreditation for 2.1. Test lab must have a schedule for
accreditation.

#2 - 08/08/2023 09:28 AM - Herbert Falk

- Status changed from New to In Progress

There are accredited labs for Edition 2.1 Server testing. The January 2024 date for requiring ED 2.1 conformance testing prior to Edition 2.0
conformance testing will remain.

However, there are no Edition 2.1 Client accredited labs and test tool development/accreditation is slow and will not be available for January 2024.
UCAIlug does not want to allow testing of a Edition 2.0 only client without testing Edition 2.1. To address the short-term issue of the lack of availability
of accredited labs un 2024:

1). Labs, prior to accepting a client for testing shall inform the vendor of when it anticipates being accredited for Edition 2.1 Client testing.

2). If the delay in ED 2.1 testing is acceptable to the vendor, the test lab may proceed with Edition 2.0 testing but shall test the Client for Edition 2.1
when the lab is accredited. This means that the vendor will be being tested for both Edition 2.0 and Edition 2.1 after January 2024.

3). An Edition 2.0 Client certificate issued under these conditions shall be handled per the established UCA exception policy and the certificate shall
include a statement about the exception.

#3 - 08/22/2023 08:16 AM - Joel Greene

- Status changed from In Progress to Resolved

To be handled by exception as described by Herb.
